﻿@model WebApplication1.ViewModels.CommentViewModel

@{
    ViewData["Title"] = "Index";
}
<h1>@Model.Topic.TopicName</h1>
    <div>
        <hr />
        <dl class="row">
            <dt class="col-sm-2">
                Автор
            </dt>
            <dd class="col-sm-10">
                @Html.DisplayFor(model => model.Topic.AuthorName)
            </dd>

            <dt class="col-sm-2">
                Текст темы
            </dt>
            <dd class="col-sm-10">
                @Html.DisplayFor(model => model.Topic.TopicText)
            </dd>
        </dl>
    </div>
    <hr />
    @if (Model.IndexViewModel.Comments != null)
{
    <h2>Комментарии</h2>
    <hr />
    <div>
        <div id="comments">
            <table>
                <tr>
                    <th></th>
                    <th>Автор</th>
                    <th>Сообщение</th>
                    <th>Дата ответа</th>
                </tr>

                @foreach (var item in Model.IndexViewModel.Comments)
                {

            <tr>
                <td><img src="~/@item.User.AvatarPath" /></td>
                <td><h4>@item.AuthorName</h4></td>
                <td>
                    <p>@item.Text</p>
                </td>
                <td><span>@item.CommentDate</span></td>
            </tr>
                }
            </table>
            @if (Model.IndexViewModel.PageViewModel.HasPrevPage)
            {
                <button onclick="pagination(@Model.Topic.Id,@(Model.IndexViewModel.PageViewModel.PageNumber - 1))" class="btn btn-dark btn">
                    Назад
                </button>
            }
            @if (Model.IndexViewModel.PageViewModel.HasNextPage)
            {
                <button onclick="pagination(@Model.Topic.Id,@(Model.IndexViewModel.PageViewModel.PageNumber + 1))"
                        class="btn btn-dark btn">
                    Вперед
                </button>
            }
        </div>
        
    </div>
    
}


    <hr>
    <b>Комментировать :</b>

    <div class="col-md-4">
        <form>
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="@Model.Comment.Text" class="control-label">Сообщение</label>
                <input name="text" class="form-control" />
                <span asp-validation-for="@Model.Comment.Text" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="hidden" value="@Model.Topic.Id" name="topicId" />
            </div>
            <div class="form-group">
                <input type="hidden" value="@Model.Topic.UserId" name="userId" />
            </div>
            <div class="form-group">
                <input type="button" onclick="create(this.form, @Model.IndexViewModel.PageViewModel.PageNumber)"value="Ответить" class="btn btn-primary" />
            </div>
        </form>
    </div>
<script>

    function create(form, page) {
        var elems = form.elements;
        $('#comments').load('@Url.Action("CreateComment", "Comment")',
            { text: elems.text.value, topicId: elems.topicId.value, userId: elems.userId.value, pageNumber:page});
        }
    function pagination(topicId, pageNumber) {
        $('#comments').load('@Url.Action("PaginationAjaxResultAsync", "Topic")',
            { id: topicId, pageNumber:pageNumber});
    }
</script>

